Skip to content

商品ランキング - 売上トップ

概要

売上トップの商品を取得します。以下の機能をサポートします。

  • フィルターパラメータの設定が可能
  • カスタムソート順に対応

API エンドポイント

bash
    POST /product/v1/rank/topSelling

リクエストボディ

フィールド必須説明
filterobjectいいえフィルターパラメータ
orderbyobjectいいえソートパラメータ
pageintegerいいえページ番号, デフォルト: 1
pagesizeintegerいいえ1ページあたりの件数, デフォルト: 10

page * pagesize <= 500

pagesize 範囲 [1, 100]

filter オプション値

フィールド必須説明
regionstringいいえ国/地域
category_idintegerいいえ商品カテゴリ
date_infoobjectはい日付情報, 例: {'type': 'day', 'value': '2026-02-01'}

利用可能な地域: ['US', 'ID', 'GB', 'VN', 'TH', 'MY', 'PH', 'SG', 'ES', 'MX', 'DE', 'FR', 'PT', 'NL', 'BE', 'AT', 'PL', 'IT', 'BR', 'JP']

orderby オプション値

フィールド必須説明
units_soldいいえ販売数(降順)
gmvいいえ売上(降順)
total_units_soldいいえ総販売数(降順)
total_gmvいいえ総売上(降順)
growth_rateいいえ成長率(降順)

リクエスト例

bash
curl 'https://openapi.fastmoss.com/product/v1/rank/topSelling' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 2,
        "date_info": {
            "type": "day",
            "value": "2026-02-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-18"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-02"
        # }
    },
     "orderby": [
      {
        "field": "gmv",
        "order": "desc"
      }
    ],
    "page": 1,
    "pagesize": 10
}'

レスポンスボディ

data.total

  • 型: integer
  • 説明: 結果の総数

data.list

フィールド説明
product_idstring商品ID
titlestring商品タイトル
regionstring国/地域
coverstring商品カバーURL
categoryobject商品カテゴリ
commission_rateintegerコミッション率
real_pricestring商品価格
units_soldinteger販売数
gmvinteger売上
total_units_soldinteger総販売数
total_gmvinteger総売上
growth_rateinteger販売成長率
shopobjectショップ情報

data.list.shop

フィールド説明
seller_idstringショップID
namestringショップ名
avatarstringショップカバーURL
total_units_soldintegerショップ総販売数

レスポンス例

json
{
  "code": 0,
  "msg": "success",
  "data": {
    "total": 500,
    "list": [
      {
        "product_id": "1729537665891078575",
        "title": "33.81oz Glass Water Cup, Large Glass Cup with Lid & Straw, Drinking Cup for Home Office Use, Drinkware Gift Ideas, Kitchen Accessories",
        "cover": "https://s.500fd.com/tt_product/16e26aec1fb94e3784665b5b2ecfe0e0~tplv-dx0w9n1ysr-resize-jpeg:800:800.jpeg",
        "real_price": "$10.94",
        "region": "US",
        "commission_rate": 1234,
        "category": {
          "l1": { "id": 123, "name": "test" }
        },

        "units_sold": 123,
        "gmv": 123,
        "total_units_sold": 123,
        "total_gmv": 123,
        "growth_rate": 123,

        "shop": {
          "seller_id": 123,
          "name": "test",
          "avatar": "xxx",
          "total_units_sold": 123
        }
      }
    ]
  }
}